package com.rf.psychological.plan.service;

import com.alibaba.fastjson.JSONObject;
import com.rf.psychological.plan.dao.model.HisTestPlanEntry;
import org.springframework.data.domain.Page;

import java.util.List;

public interface HisTestPlanService {
    /**
     * 批量保存
     * @param hisTestPlanEntryList 插入列表
     */
    void saveInBatch(List<HisTestPlanEntry> hisTestPlanEntryList);

    /**
     * 查询
     * @param jsonObject
     * @return
     */
    Page<HisTestPlanEntry> find(JSONObject jsonObject);

    /**
     * 保存
     * @param hisTestPlanEntry
     */
    void save(HisTestPlanEntry hisTestPlanEntry);

    /**
     * find by id
     * @param testPlanId
     * @return
     */
    HisTestPlanEntry findById(String testPlanId);

    /**
     * 根据机构编号获取历史测试记录
     * @param institutionNo
     * @return
     */
    List<HisTestPlanEntry> findByInstitutionNo(String institutionNo);
}
